summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRafael Kitover <rkitover@gmail.com>2019-08-09 19:55:21 +0000
committerJoonas Niilola <juippis@gentoo.org>2019-08-10 08:06:41 +0300
commit967e6e8779995d82dfcee5313447ba9dc72280ac (patch)
treea427086a0bcbc742e1f8908d7c1741eaa2973ddb /app-emulation/docker-credential-helpers
parentprofiles: Drop outdated masks on alpha (diff)
downloadgentoo-967e6e8779995d82dfcee5313447ba9dc72280ac.tar.gz
gentoo-967e6e8779995d82dfcee5313447ba9dc72280ac.tar.bz2
gentoo-967e6e8779995d82dfcee5313447ba9dc72280ac.zip
app-emulation/docker-credential-helpers: add 0.6.3
Both stores tested to work correctly. Package-Manager: Portage-2.3.71, Repoman-2.3.17 Signed-off-by: Rafael Kitover <rkitover@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/12637 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'app-emulation/docker-credential-helpers')
-rw-r--r--app-emulation/docker-credential-helpers/Manifest1
-rw-r--r--app-emulation/docker-credential-helpers/docker-credential-helpers-0.6.3.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/app-emulation/docker-credential-helpers/Manifest b/app-emulation/docker-credential-helpers/Manifest
index 487217d743a..8e9ab64e45b 100644
--- a/app-emulation/docker-credential-helpers/Manifest
+++ b/app-emulation/docker-credential-helpers/Manifest
@@ -1 +1,2 @@
DIST docker-credential-helpers-0.6.0.tar.gz 27441 BLAKE2B 6517f069782d5a496d3f140d86e5b1f32f197e9209ed61f75bfb9ba29cf0e1fa509bdbbbce2defc14ad0abe316632683cfad25e7ac9a6a1d70c3289e0ad489f5 SHA512 359e8ec700f423ce0687f13ce02946007f90456abe86659a87c59419ebde5e79adb4d28ee5e6a9762a44cfd65648c247629a5273326abf18a8880bee637e74d8
+DIST docker-credential-helpers-0.6.3.tar.gz 28971 BLAKE2B b50e4de0f3b126e0118f24f845a94be5e932975ab54ad6e0a52129a56109ecafb021f14986569295242cb0af4ea109d8786b8a5ca8481cc48daad14671841432 SHA512 2d15be8df134bff08eef9461348f07cd57c70c15a0ab044de2e69296c400b8c0e16198c90fd064d5ce83037d0bad57520e7524b0832b7a00e69397203dc90d10
diff --git a/app-emulation/docker-credential-helpers/docker-credential-helpers-0.6.3.ebuild b/app-emulation/docker-credential-helpers/docker-credential-helpers-0.6.3.ebuild
new file mode 100644
index 00000000000..3f46440c7bb
--- /dev/null
+++ b/app-emulation/docker-credential-helpers/docker-credential-helpers-0.6.3.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A suite of programs to use native stores to keep Docker credentials safe"
+HOMEPAGE="https://github.com/docker/docker-credential-helpers"
+EGO_PN=github.com/docker/docker-credential-helpers
+
+LICENSE="MIT"
+SLOT="0"
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="v${PV}"
+ SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+IUSE="gnome-keyring pass"
+REQUIRED_USE="|| ( gnome-keyring pass )"
+RESTRICT="test"
+
+DEPEND="gnome-keyring? ( app-crypt/libsecret )"
+
+RDEPEND="(
+ ${DEPEND}
+ pass? ( app-admin/pass )
+)
+"
+
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_compile() {
+ local -x GOPATH="${WORKDIR}/${P}"
+ use gnome-keyring && emake secretservice
+ use pass && emake pass
+}
+
+src_install() {
+ dobin bin/*
+ dodoc CHANGELOG.md MAINTAINERS README.md
+}
+
+pkg_postinst() {
+ if use gnome-keyring; then
+ elog "For gnome-keyring/kwallet add:\n"
+ elog ' "credStore": "secretservice"'"\n"
+ fi
+ if use pass; then
+ elog "For 'pass' add:\n"
+ elog ' "credStore": "pass"'"\n"
+ fi
+ elog "to your ~/.docker/config.json"
+}